Skip to main content
GET
/
api
/
v1
/
ghl
/
appointments
/
{appointment_id}
Get GHL Appointment
curl --request GET \
  --url https://api.ravan.ai/api/v1/ghl/appointments/{appointment_id} \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "ghl_appointment_id": "id_123",
    "contact_id": "id_123",
    "agent_id": "id_123",
    "agent_name": "example",
    "contact_name": "example",
    "contact_email": "alex@example.com",
    "contact_phone": "+14155550100",
    "appointment_time": "2026-03-14T12:00:00Z",
    "status": "active"
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

appointment_id
string
required
Appointment ID

Query Parameters

org_id
string
Organization ID (fallback)

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
data field.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "ghl_appointment_id": "id_123",
    "contact_id": "id_123",
    "agent_id": "id_123",
    "agent_name": "example",
    "contact_name": "example",
    "contact_email": "alex@example.com",
    "contact_phone": "+14155550100",
    "appointment_time": "2026-03-14T12:00:00Z",
    "status": "active"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

appointment_id
string
required

Appointment ID

Query Parameters

org_id
string

Organization ID (fallback)

Response

200 - application/json

Successful response

success
boolean
message
string
data
object